> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synctera.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Developer Setup

## Developer Setup

Integrating your FinTech application with Synctera starts with a development setup:

* Signing up for a Synctera account
* Accessing our documentation and development tools
* Generating API keys
* Trying out our **sandbox**, **production**, and **t-minus10 live** environments

### Sign Up For a Synctera Account and Generate API Keys

Integrating your FinTech application with Synctera starts as soon as you finalize your fintech information and submit your profile for access to your developer environment:

1. [Sign up](https://app.synctera.com/sign-up) for your account.

2. Under Your Workspace, click **Generate key** to generate a sandbox API key.

3. Click **Copy** to copy the API key to your clipboard

<Info>
  Once you close the API key pop-up window, you won't be able to view the key. Remember to store your key in a safe location.
</Info>

You're all set! Your account is set up, and you’re ready to use your API key in your staging environment.

### Look at Available Synctera APIs

To see the available Synctera APIs, take a look at:

* Our [API reference documentation](/v1/reference).

You can use all of these APIs in our sandbox, but your FinTech must be subscribed to the appropriate Synctera products to use APIs for production. Subscribing to Ledger as a Service, for example, provides production access to the Accounts API.

### Using Your API Key

Use the API key you received as authorization for each API request you make to our sandbox. Add it to the request header as shown in this snippet from a cURL request:

`-H 'Authorization: Bearer {API_KEY}'`

### Create a Customer

The following cURL request creates a new customer, specifying name, addresses, data of birth, Social Security number, and other pertinent information. Be sure to use your API key to replace \{API\_KEY} below for authorization:

```json theme={"system"}
curl -X POST https://api-sandbox.synctera.com/v0/customers \
-H 'Authorization: Bearer {API_KEY}' \
-H 'Content-Type: application/json; charset=utf-8' \
--data-binary @- << EOF
{
  "first_name": "Jane",
  "last_name": "Doe",
  "middle_name": "Fawn",
  "legal_address": {
    "default_address_flg": true,
    "type": "home",
    "house_number": "781",
    "address_line_1": "Street Rd.",
    "address_line_2": "Apartment 32",
    "city": "Centerville",
    "state": "CO",
    "postal_code": "40993",
    "country_code": "US"
  },
  "shipping_address": {
    "default_address_flg": false,
    "type": "work",
    "house_number": "485",
    "address_line_1": "Boulevard Ave.",
    "city": "Centerville",
    "state": "CO",
    "postal_code": "40995",
    "country_code": "US"
  },
  "dob": "2000-01-01",
  "ssn": "123-45-6789",
  "email": "DeerMe32@gmail.com",
  "mobile_phone_number": "+17520343695",
  "status": "ACTIVE"
}
EOF
```

The request returns information about the newly created that includes a customer ID used to specify the customer in other requests:

```json theme={"system"}
{
  "dob":"2000-01-01",
  "email":"DeerMe32@gmail.com",
  "first_name":"Jane",
  "id":"e79ca9ae-25bd-421e-92a2-22d118397799",
  "last_name":"Doe",
  "legal_address": {
    "address_line_1":"Street Rd.",
    "address_line_2":"Apartment 32",
    "city":"Centerville",
    "country_code":"US","default_address_flg":true,
    "id":"a765479c-ef5f-405b-9e0a-746bdd1e4974",
	"postal_code":"40993",
    "state":"CO","type":"home"
  },
  "middle_name":"Fawn",
  "shipping_address": {
    "address_line_1":"Boulevard Ave.",
    "city":"Centerville",
    "country_code":"US",
    "default_address_flg":false,
    "id":"8cf2f320-dee9-4e44-87be-b1296ce1fa9f",
    "postal_code":"40995",
    "state":"CO","type":"work"
  },
  "ssn":"6789",
  "status":"ACTIVE"
}
```

### Synctera Development Tools

Synctera offers an SDK with client libraries at:

<CardGroup cols={1}>
  <Card title="https://github.com/synctera/client-libraries-go" href="https://github.com/synctera/client-libraries-go" icon="github" iconType="solid" horizontal={true} />
</CardGroup>

For current status of API service, look at:

<CardGroup>
  <Card title="https://status.synctera.com/" href="https://status.synctera.com/" icon="waveform" iconType="solid" horizontal={true} />
</CardGroup>
